org.apache.xalan.extensions

## Class XPathFunctionResolverImpl

- java.lang.Object
- - org.apache.xalan.extensions.XPathFunctionResolverImpl

All Implemented Interfaces:
  XPathFunctionResolver

    public class XPathFunctionResolverImpl
    extends java.lang.Object
    implements XPathFunctionResolver

A sample implementation of XPathFunctionResolver, with support for EXSLT extension functions and Java extension functions.

### Constructor Summary

Constructors
Constructor and Description
`XPathFunctionResolverImpl()`

### Method Summary

Methods
`XPathFunction` `resolveFunction(QName qname, int arity)` Resolve an extension function from the qualified name and arity.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPathFunctionResolverImpl

    public XPathFunctionResolverImpl()

### Method Detail

#### resolveFunction

    public XPathFunction resolveFunction(QName qname,
                                int arity)

Resolve an extension function from the qualified name and arity.

Specified by:
  `resolveFunction` in interface `XPathFunctionResolver`
Parameters:
  `qname` - The function name.
  `arity` - The number of arguments that the returned function must accept.
Returns:
  The function or `null` if no function named `functionName` with `arity` arguments exists.